> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Evento charge.refunded

> Evento charge.refunded.

## Evento `charge.refunded`

Disparado quando uma `charge` recebe um refund parcial ou total. Para detalhes
do refund individual, use `refund.created`, `refund.updated` e `refund.failed`.

`data.object` usa o mesmo shape de [`GET /v1/charges/:id`](/api-reference/charges/get).

<ResponseExample>
  ```json 200 theme={}
  {
    "id": "evt_123",
    "object": "event",
    "created_at": "2026-05-20T18:36:00Z",
    "data": {
      "object": {
        "id": "ch_123",
        "object": "charge",
        "amount": 9990,
        "amount_captured": 9990,
        "amount_refunded": 5000,
        "billing_details": {},
        "captured": true,
        "created_at": "2026-05-20T18:34:58Z",
        "currency": "brl",
        "customer": "cus_123",
        "description": null,
        "disputed": false,
        "invoice": "inv_123",
        "livemode": true,
        "metadata": {},
        "paid": true,
        "payment_error": null,
        "payment_intent": "pi_123",
        "payment_method": "pm_123",
        "payment_method_details": {},
        "receipt_url": null,
        "refunded": false,
        "refunds": {
          "object": "list",
          "data": [
            {
              "id": "re_123",
              "object": "refund",
              "amount": 5000,
              "balance_transaction": null,
              "charge": "ch_123",
              "created_at": "2026-05-20T18:35:00Z",
              "currency": "brl",
              "customer": "cus_123",
              "description": null,
              "destination_details": null,
              "failure_balance_transaction": null,
              "failure_reason": null,
              "instructions_email": null,
              "livemode": true,
              "metadata": {},
              "next_action": null,
              "payment_intent": "pi_123",
              "pending_reason": null,
              "reason": "requested_by_customer",
              "receipt_number": null,
              "source_transfer_reversal": null,
              "status": "succeeded",
              "transfer_reversal": null,
              "updated_at": "2026-05-20T18:36:00Z"
            }
          ],
          "has_more": false,
          "url": "/v1/refunds?charge=ch_123"
        },
        "status": "succeeded",
        "updated_at": "2026-05-20T18:36:00Z"
      }
    },
    "livemode": true,
    "organization": "org_123",
    "request": {
      "id": null
    },
    "type": "charge.refunded"
  }
  ```
</ResponseExample>
